Delete workflow job

Delete a workflow job record. This operation is irreversible.

DELETE https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}

Preparation before calling

First query job details to confirm that the job has reached the final state. Prepare a personal access token and target workspace ID that has access to the target workspace.

Path parameters

workflow_idstringRequired
Workflow ID.
execution_idstringRequired
Job ID.

Request example

curl -X DELETE "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

When code in the response is OK and data.deleted is true, the server has deleted the job record. Deletion is irreversible.

codestring
`OK` when successful.
msgstring
`OK` when successful.
data.deletedboolean
`true` indicates that the job record has been deleted.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "deleted": true
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}

Follow-up operations

View workflow jobs, confirm that the job record no longer appears.

Last updated on